Bug 842792 - Fix External Tracker Webservice docs
Fix External Tracker Webservice docs
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Documentation (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Matt Tyson
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 11:43 EDT by Daniel Fisher
Modified: 2013-06-23 23:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.2.4-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 22:53:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Fisher 2012-07-24 11:43:40 EDT
https://bugzilla.redhat.com/docs/en/html/api/extensions/ExternalBugs/lib/WebService.html#add_external_bug

Mentions a parameter:
ext_bz_type_id

this should be
ext_type_id

Mentioning that the 'Webservice Group' these methods belong to would be helpful too.

I eventually reverse-engineered the 'Group' to be
ExternalBugs.*

as in
ExternalBugs.add_external_bug
ExternalBugs.delete_external_bug
etc.

Also (less important) an example or two would be *very* helpful.
Comment 1 Simon Green 2012-08-13 21:57:46 EDT
ext_bz_type_id error will be fixed in Bugzilla 4.2.2-4, so this is just to mention the webservice group.

Note You need to log in before you can comment on or make changes to this bug.